/*
 * This file is part of family-shop-mgr.
 *
 * family-shop-mgr is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * family-shop-mgr is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with family-shop-mgr.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author: Unai IRIGOYEN
 * Date: 12/07/2009
 *
 */

#ifndef FAMILYSHOPPINGMANAGERMAINWINDOW_H
#define FAMILYSHOPPINGMANAGERMAINWINDOW_H

#include <QMainWindow>
#include <QModelIndex>

class FamilyShoppingManagerMainWindow : public QMainWindow
{
    Q_OBJECT

public:
    FamilyShoppingManagerMainWindow(QWidget *parent = 0);
    ~FamilyShoppingManagerMainWindow();

private slots:
    void showListManager();
    void showGoShopping();
    void showAbout();

    void addCategory();
    //void addSubCategory();
    void addItem();
    void removeCategoryOrItem();
    //void insertChild();

private:
    QWidget *activityView;

    QAction *showCheckedItemsAction;
    QAction *goShoppingAction;
    QAction *endShoppingAction;
    QAction *aboutAction;

    QAction *addCategoryAction;
    QAction *addSubCategoryAction();
    QAction *removeCategoryAction;
    QAction *addItemAction;
    QAction *removeItemAction;
};

#endif // FAMILYSHOPPINGMANAGERMAINWINDOW_H
